Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class CRMEstateStatistics
    Inherits BaseObject

    Private _Immovables As Immovables
    Private _QTT_Sold As Long 'Eladott darabszám
    Private _AreaNettoForSale_Sold As Double 'Eladott m2
    Private _NettoPriceHUF As Double 'Érték

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    Property Immovables As Immovables
        Get
            Return _Immovables
        End Get
        Set(value As Immovables)
            SetPropertyValue("Immovables", _Immovables, value)
        End Set
    End Property
    Property QTT_Sold As Long
        Get
            Return _QTT_Sold
        End Get
        Set(value As Long)
            SetPropertyValue("QTT_Sold", _QTT_Sold, value)
        End Set
    End Property
    Property AreaNettoForSale_Sold As Double
        Get
            Return _AreaNettoForSale_Sold
        End Get
        Set(value As Double)
            SetPropertyValue("AreaNettoForSale_Sold", _AreaNettoForSale_Sold, value)
        End Set
    End Property
    Property NettoPriceHUF As Double
        Get
            Return _NettoPriceHUF
        End Get
        Set(value As Double)
            SetPropertyValue("NettoPriceHUF", _NettoPriceHUF, value)
        End Set
    End Property
End Class
